#
# spec file for package unixcw
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define soname 8

Name:           unixcw
Version:        3.6.1
Release:        1.15
License:        GPL-2.0
Summary:        Libraries and programs for CW
Url:            http://unixcw.sourceforge.net/
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.gz
Source2:        xcwcp.png
#Patch0:         ncurses.patch
BuildRequires:  alsa-devel
BuildRequires:  ncurses-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libpulse-devel
BuildRequires:  update-desktop-files

%description
Unixcw is a project providing libcw library and a set of programs using the
library: cw, cwgen, cwcp and xcwcp. The programs are intended for people who
want to learn receiving and sending Morse code. unixcw is developed and tested
on GNU/Linux system. 

%package -n libcw%{soname}
Summary:        Libraries for CW programs
Group:          Development/Libraries/Other

%description -n libcw%{soname}
Unixcw is a project providing libcw library and a set of programs using the
library: cw, cwgen, cwcp and xcwcp. The programs are intended for people who
want to learn receiving and sending Morse code. unixcw is developed and tested
on GNU/Linux system.

%package devel
Summary:        Libraries and programs for CW development
Group:          Development/Libraries/Other
Requires:       unixcw = %{version}

%description devel
UnixCW devel
Unixcw is a project providing libcw library and a set of programs using the 
library: cw, cwgen, cwcp and xcwcp. The programs are intended for people who 
want to learn receiving and sending Morse code. unixcw is developed and tested 
on GNU/Linux system.

%prep
%setup -q

%build
%configure --enable-static=no
%make_build

%install
%make_install

%suse_update_desktop_file -c xcwcp Xcwcp "Morse tutor" xcwcp xcwcp "Network;HamRadio"

%check

%post -n libcw%{soname} -p /sbin/ldconfig
%postun -n libcw%{soname} -p /sbin/ldconfig

%files
%{_bindir}/*
%{_datadir}/pixmaps/xcwcp.png
%{_datadir}/applications/xcwcp.desktop
%doc %{_mandir}/man1/*
%doc %{_mandir}/man7/*

%files -n libcw%{soname}
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/libcw*.so.*
%doc %{_mandir}/man3/libcw.3.gz

%files devel
%{_libdir}/libcw*.so
%{_libdir}/libcw*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Wed Oct  2 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Updated to version 3.6.1
  + see NEWS for changes
- Patch ncurses.parch removed (applied upstream)
- Disabled static library build
- Specfile updated
- Fixed build for Tumbleweed and Factory
* Mon Nov 16 2015 dl8fcl@t-online.de
- update to version 3.5.0 - not yet ready
  pulseaudio for xcwp not working
* Mon Aug 18 2014 dl8fcl@darc.de
- update to version 3.3.1
  fixing a problem with cwdaemon
* Mon Jan  6 2014 dl8fcl@darc.de
- update to version 3.3.0
* Mon Sep 23 2013 dl8fcl@darc.de
- update to version 3.2.0
* Sat Oct  4 2008 dl9pf@gmx.de
- fix build for factory
* Thu May 24 2007 dl9pf@gmx.de
- Import into buildservice
